com.ibm.openpages.api.resource

## Class DeletedResourceFilter

- java.lang.Object
- - com.ibm.openpages.api.resource.DeletedResourceFilter

-     public class DeletedResourceFilter
      extends java.lang.Object

  Filtering class for deleted resources.

  For fields:

  - `FIELD_DESCRIPTION`
  The field value type is string.
  - `FIELD_LOCATION`
  The field is full path of a deleted resource. The field value type is string.
  - `FIELD_RESOURCE_TYPE`
  The field value type is integer, (1 for resource, 2 for folder).
  - `FIELD_CREATED_DATE`
  The field value type is date.
  - `FIELD_LAST_MODIFICATION_DATE`
  The field value type is date.
  - `FIELD_CREATED_BY`
  The field value type is `Id`.
  - `FIELD_LAST_MODIFIED_BY`
  The field value type is `Id`.
  - `FIELD_RESOURCE_ID`
  The field value type is `Id`.
  - `FIELD_CONTENT_TYPE_ID`
  The field value type is `Id`.

  For operations:

  - `OPERATOR_EQUAL_TO`
  Equal to. Support all fields.
  - `OPERATOR_NOT_EQUAL_TO`
  Not equal to. Support all fields.
  - `OPERATOR_LESS_THAN`
  Less than. Support all fields.
  - `OPERATOR_LESS_THAN_OR_EQUAL`
  Less than or equal to. Support all fields.
  - `OPERATOR_GREATER_THAN`
  Greater than. Support all fields.
  - `OPERATOR_GREATER_THAN_OR_EQUAL`
  Greater than or equal to.Support all fields.
  - `OPERATOR_LIKE`
  Like, wild card search operator, the condition value must be a string. Support all fields. Support to use the percent ('%') matches any group of characters, and use the underscore ('_') matches any single character.
  - `OPERATOR_NOT_LIKE`
  Not like, wild card search operator, the condition value must be a string. Support all fields. Support to use the percent ('%') matches any group of characters, and use the underscore ('_') matches any single character.
  Since:
    8.0.0.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeletedResourceFilter.FilterCondition` Filter condition class

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_CONTENT_TYPE_ID` Filter field name
    `static java.lang.String` | `FIELD_CREATED_BY` Filter field name
    `static java.lang.String` | `FIELD_CREATED_DATE` Filter field name
    `static java.lang.String` | `FIELD_DESCRIPTION` Filter field name
    `static java.lang.String` | `FIELD_LAST_MODIFICATION_DATE` Filter field name
    `static java.lang.String` | `FIELD_LAST_MODIFIED_BY` Filter field name
    `static java.lang.String` | `FIELD_LOCATION` Filter field name
    `static java.lang.String` | `FIELD_RESOURCE_ID` Filter field name
    `static java.lang.String` | `FIELD_RESOURCE_TYPE` Filter field name
    `static java.lang.String` | `OPERATOR_EQUAL_TO` Filter operator
    `static java.lang.String` | `OPERATOR_GREATER_THAN` Filter operator
    `static java.lang.String` | `OPERATOR_GREATER_THAN_OR_EQUAL` Filter operator
    `static java.lang.String` | `OPERATOR_LESS_THAN` Filter operator
    `static java.lang.String` | `OPERATOR_LESS_THAN_OR_EQUAL` Filter operator
    `static java.lang.String` | `OPERATOR_LIKE` Filter operator
    `static java.lang.String` | `OPERATOR_NOT_EQUAL_TO` Filter operator
    `static java.lang.String` | `OPERATOR_NOT_LIKE` Filter operator

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeletedResourceFilter()` Constructor- Creates the DeletedResourceFilter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCondition(DeletedResourceFilter.FilterCondition condition)` Add a condition.
    `java.util.List<DeletedResourceFilter.FilterCondition>` | `getConditions()` Get the filter conditions.
    `int` | `getEndRow()` Gets the paging end row index.
    `int` | `getStartRow()` Gets the paging start row index.
    `void` | `setConditions(java.util.List<DeletedResourceFilter.FilterCondition> conditions)` Set the filter conditions.
    `void` | `setEndRow(int endRow)` Set the paging end row index.
    `void` | `setStartRow(int startRow)` Set the paging start row index.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_CREATED_BY

          public static final java.lang.String FIELD_CREATED_BY

      Filter field name
      See Also:
        Constant Field Values

    - #### FIELD_CREATED_DATE

          public static final java.lang.String FIELD_CREATED_DATE

      Filter field name
      See Also:
        Constant Field Values

    - #### FIELD_DESCRIPTION

          public static final java.lang.String FIELD_DESCRIPTION

      Filter field name
      See Also:
        Constant Field Values

    - #### FIELD_LAST_MODIFICATION_DATE

          public static final java.lang.String FIELD_LAST_MODIFICATION_DATE

      Filter field name
      See Also:
        Constant Field Values

    - #### FIELD_LAST_MODIFIED_BY

          public static final java.lang.String FIELD_LAST_MODIFIED_BY

      Filter field name
      See Also:
        Constant Field Values

    - #### FIELD_LOCATION

          public static final java.lang.String FIELD_LOCATION

      Filter field name
      See Also:
        Constant Field Values

    - #### FIELD_RESOURCE_ID

          public static final java.lang.String FIELD_RESOURCE_ID

      Filter field name
      See Also:
        Constant Field Values

    - #### FIELD_CONTENT_TYPE_ID

          public static final java.lang.String FIELD_CONTENT_TYPE_ID

      Filter field name
      See Also:
        Constant Field Values

    - #### FIELD_RESOURCE_TYPE

          public static final java.lang.String FIELD_RESOURCE_TYPE

      Filter field name
      See Also:
        Constant Field Values

    - #### OPERATOR_EQUAL_TO

          public static final java.lang.String OPERATOR_EQUAL_TO

      Filter operator
      See Also:
        Constant Field Values

    - #### OPERATOR_NOT_EQUAL_TO

          public static final java.lang.String OPERATOR_NOT_EQUAL_TO

      Filter operator
      See Also:
        Constant Field Values

    - #### OPERATOR_LESS_THAN

          public static final java.lang.String OPERATOR_LESS_THAN

      Filter operator
      See Also:
        Constant Field Values

    - #### OPERATOR_LESS_THAN_OR_EQUAL

          public static final java.lang.String OPERATOR_LESS_THAN_OR_EQUAL

      Filter operator
      See Also:
        Constant Field Values

    - #### OPERATOR_GREATER_THAN

          public static final java.lang.String OPERATOR_GREATER_THAN

      Filter operator
      See Also:
        Constant Field Values

    - #### OPERATOR_GREATER_THAN_OR_EQUAL

          public static final java.lang.String OPERATOR_GREATER_THAN_OR_EQUAL

      Filter operator
      See Also:
        Constant Field Values

    - #### OPERATOR_LIKE

          public static final java.lang.String OPERATOR_LIKE

      Filter operator
      See Also:
        Constant Field Values

    - #### OPERATOR_NOT_LIKE

          public static final java.lang.String OPERATOR_NOT_LIKE

      Filter operator
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeletedResourceFilter

          public DeletedResourceFilter()

      Constructor- Creates the DeletedResourceFilter.

  - ### Method Detail

    - #### setStartRow

          public void setStartRow(int startRow)

      Set the paging start row index.

    - #### getStartRow

          public int getStartRow()

      Gets the paging start row index.
      Returns:
        the paging start row index

    - #### setEndRow

          public void setEndRow(int endRow)

      Set the paging end row index.

    - #### getEndRow

          public int getEndRow()

      Gets the paging end row index.
      Returns:
        the paging end row index

    - #### addCondition

          public void addCondition(DeletedResourceFilter.FilterCondition condition)

      Add a condition.
      Parameters:
        `condition` -

    - #### setConditions

          public void setConditions(java.util.List<DeletedResourceFilter.FilterCondition> conditions)

      Set the filter conditions.
      Parameters:
        `conditions` - the conditions

    - #### getConditions

          public java.util.List<DeletedResourceFilter.FilterCondition> getConditions()

      Get the filter conditions.
      Returns:
        the filter conditions

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.